Upgrade Monit la v5.20.0

– facem mai întâi backup la fișierul de config al monit în /home să zicemmmonit

cp /etc/monit/monitrc /home/monitrc.`date +%F.%T`

– ștergem versiunea veche

/etc/init.d/monit stop 
apt-get remove monit -y

– luăm de la http://mmonit.com/monit/#download, ultima versiune de monit și o instalăm (dacă da vreo eroare la ./configure – o rezolvați)

cd /var/tmp
wget http://mmonit.com/monit/dist/monit-5.20.0.tar.gz
tar xzvf monit-5.20.0.tar.gz
cd monit-5.20.0/
./configure --without-pam --without-ssl --enable-optimized

make
make install
ln -s /usr/local/bin/monit /usr/bin/monit

– dacă la ./configure.. a dat eroarea: configure: error: no acceptable C compiler found in $PATH- o rezolvați asa, altfel mergeți mai departe:

apt-get install build-essential -y

– daca la /configure… a dat eroarea: configure: error: libz not found – o rezolvati asa, altfel mergeti mai eparte:

apt-get install zlib1g-dev -y

– verificăm că s-a păstrat fișierul de conf și că mai este și corect făcut

vi /etc/monit/monitrc
/etc/init.d/monit syntax

– dacă zice

root@www:/etc/monit# /etc/init.d/monit syntax
Control file syntax OK

– a mers, și pornim noul monit

/etc/init.d/monit start
[….] Starting daemon monitor: monitStarting Monit 5.9 daemon with http interface at [*:2812]
. ok

Succes


Stiri Monit:

0 replies

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Zi cu cuvintele tale...